ServletContextAttributeListener (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Interface ServletContextAttributeListener

All Superinterfaces:
  EventListener

    @TransactionType(value=NOT_SUPPORTED)
    public interface ServletContextAttributeListener

extends EventListener

Implementations of this interface receive notifications of changes to the attribute list on the servlet context of a web application. To receive notification events, the implementation class must be configured in the deployment descriptor for the web application.

Since:
  Servlet 2.3, Java Card 3.0
See Also:
  `ServletContextAttributeEvent`

Method Summary
`void` | `attributeAdded(ServletContextAttributeEvent scab)` Notification that a new attribute was added to the servlet context.
`void` | `attributeRemoved(ServletContextAttributeEvent scab)` Notification that an existing attribute has been removed from the servlet context.
`void` | `attributeReplaced(ServletContextAttributeEvent scab)` Notification that an attribute on the servlet context has been replaced.

Method Detail

### attributeAdded

    void attributeAdded(ServletContextAttributeEvent scab)

  Notification that a new attribute was added to the servlet context. Called after the attribute is added.

### attributeRemoved

    void attributeRemoved(ServletContextAttributeEvent scab)

  Notification that an existing attribute has been removed from the servlet context. Called after the attribute is removed.

### attributeReplaced

    void attributeReplaced(ServletContextAttributeEvent scab)

  Notification that an attribute on the servlet context has been replaced. Called after the attribute is replaced.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.